<?php
defined('PRODUCT_NAME') or die;
class AnnouncementModule extends ModuleInstance
{
	public function __construct()
	{
		parent::__construct();
		$this->scripts          = array("<script src=\"" . LIVE_SITE . "/js/min/scripts.min.js\"></script>");
		$this->enable_jquery 	= true;
		$this->enable_jquery_ui = true;
	}

	function render()
	{
		$this->load->view("modules/announcement/module",
		                  array("module_instance_id" 	=> $this->module_instance_id,
								"module_class" 			=> $this->setting("module_class"),
								"title" 				=> $this->setting("title"),
		                        "delay" 				=> $this->setting("delay"),
		                        "width" 				=> $this->setting("width"),
		                        "height" 				=> $this->setting("height"),
		                        "ok_text"				=> $this->setting("ok_text"),
		                        "ok_url"				=> $this->setting("ok_url"),
		                        "cancel_text"			=> $this->setting("cancel_text"),
		                        "message"				=> $this->setting("message")
		                        ));
	}
}
